Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl
Class WSDL2Java

    java.lang.Object
      |
      +--org.apache.axis.wsdl.gen.WSDL2
            |
            +--org.apache.axis.wsdl.WSDL2Java

public class WSDL2Java
extends WSDL2

Command line interface to the WSDL2Java utility

Field Summary
`protected static int` | `ALL_OPT`
`protected boolean` | `bPackageOpt`
`protected static int` | `FACTORY_CLASS_OPT`
`protected static int` | `HELPER_CLASS_OPT`
`protected static int` | `NAMESPACE_FILE_OPT`
`protected static int` | `NAMESPACE_OPT`
`protected static CLOptionDescriptor[]` | `options` Define the understood options.
`protected static int` | `OUTPUT_OPT`
`protected static int` | `PACKAGE_OPT`
`protected static int` | `PASSWORD_OPT`
`protected static int` | `SCOPE_OPT`
`protected static int` | `SERVER_OPT`
`protected static int` | `SKELETON_DEPLOY_OPT`
`protected static int` | `TEST_OPT`
`protected static int` | `TYPEMAPPING_OPT`
`protected static int` | `USERNAME_OPT`

Fields inherited from class org.apache.axis.wsdl.gen.WSDL2
`DEBUG_OPT, HELP_OPT, NETWORK_TIMEOUT_OPT, NOIMPORTS_OPT, NOWRAP_OPT, parser, VERBOSE_OPT, wsdlURI`

Constructor Summary
`protected` | `WSDL2Java()` Instantiate a WSDL2Java emitter.

Method Summary
`protected Parser` | `createParser()` Instantiate an extension of the Parser
`static void` | `main(java.lang.String[] args)` Main Run the WSDL2Java emitter with the specified command-line arguments
`protected void` | `parseOption(CLOption option)` Parse an option
`protected void` | `validateOptions()` validateOptions This method is invoked after the options are set to validate the option settings.

Methods inherited from class org.apache.axis.wsdl.gen.WSDL2
`addOptions, getParser, printUsage, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_OPT

    protected static final int SERVER_OPT

### SKELETON_DEPLOY_OPT

    protected static final int SKELETON_DEPLOY_OPT

### NAMESPACE_OPT

    protected static final int NAMESPACE_OPT

### NAMESPACE_FILE_OPT

    protected static final int NAMESPACE_FILE_OPT

### OUTPUT_OPT

    protected static final int OUTPUT_OPT

### SCOPE_OPT

    protected static final int SCOPE_OPT

### TEST_OPT

    protected static final int TEST_OPT

### PACKAGE_OPT

    protected static final int PACKAGE_OPT

### ALL_OPT

    protected static final int ALL_OPT

### TYPEMAPPING_OPT

    protected static final int TYPEMAPPING_OPT

### FACTORY_CLASS_OPT

    protected static final int FACTORY_CLASS_OPT

### HELPER_CLASS_OPT

    protected static final int HELPER_CLASS_OPT

### USERNAME_OPT

    protected static final int USERNAME_OPT

### PASSWORD_OPT

    protected static final int PASSWORD_OPT

### bPackageOpt

    protected boolean bPackageOpt

### options

    protected static final CLOptionDescriptor[] options

  Define the understood options. Each CLOptionDescriptor contains: - The "long" version of the option. Eg, "help" means that "--help" will be recognised. - The option flags, governing the option's argument(s). - The "short" version of the option. Eg, 'h' means that "-h" will be recognised. - A description of the option for the usage message

Constructor Detail

### WSDL2Java

    protected WSDL2Java()

  Instantiate a WSDL2Java emitter.

Method Detail

### createParser

    protected Parser createParser()

  Instantiate an extension of the Parser
  Overrides:
    `createParser` in class `WSDL2`

### parseOption

    protected void parseOption(CLOption option)

  Parse an option
  Overrides:
    `parseOption` in class `WSDL2`
  Parameters:
    `CLOption` - is the option

### validateOptions

    protected void validateOptions()

  validateOptions This method is invoked after the options are set to validate the option settings.
  Overrides:
    `validateOptions` in class `WSDL2`

### main

    public static void main(java.lang.String[] args)

  Main Run the WSDL2Java emitter with the specified command-line arguments
  Parameters:
    `String[]` - command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.